微科社区,轻松开发从此开始! 请登陆 免费注册

微科社区

当前位置:首页 > Java平台 > J2SE >

使用jdk1.7,但是新语法却不能使用,这是为什么

时间:2013-03-05 22:24  浏览:努力统计中...
cmd测试环境变量都配置好了,但是在eclipse中增加jdk1.7支持,却不能使用新语法 例如:switch语句中可以增加字符串的语法,却不能实现。 jdk eclipse cmd 测试 window-〉preferences-〉java〉Instal
cmd测试环境变量都配置好了,但是在eclipse中增加jdk1.7支持,却不能使用新语法
例如:switch语句中可以增加字符串的语法,却不能实现。
jdk eclipse cmd 测试

window-〉preferences -〉java〉Installed JREs,看下选择的是否是1.7
再看下window-〉preferences -〉java-〉compiler-〉compiler compliance level 看是否是1.7

switch(str)不是8才开始有吗?


BuildPath也改成1.7

代码看看。。。。



恩恩  就是compiler compliance level 这个原因,很感谢啊!给分哟!
我用的eclipse还没有1.7的level,然后我又下载了个最新版的eclipse,问题就解决了。。
    顶一下
    (0)
    0%
    踩一下
    (0)
    0%
    ------分隔线------